BTRFS-IMAGE(8)

NAME
btrfs-image - create/restore an image of the filesystem

SYNOPSIS
btrfs-image [options] source target

DESCRIPTION
btrfs-image is used to create an image of a btrfs filesystem. All data will be zeroed, but metadata and the like is preserved. source is the special file corresponding to the device containing a btrfs filesystem. (e.g /dev/sdXX). target is the image file that btrfs-image creates. When used with -r option, btrfs-image restores the image file from source into target.

OPTIONS

-r  restore metadump image.

-c value
    compression level (0 ~ 9).

-t value
    number of threads (1 ~ 32) to be used to process the image dump or restore.

-o  use the old restore method, this does not fixup the chunk tree so the restored file system will not be able to be mounted.

-s  Sanitize the file names when generating the image. One -s means just generate random garbage, which means that the directory indexes won't match up since the hashes won't match with the garbage filenames. Using -ss will calculate a collision for the filename so that the hashes match, and if it can't calculate a collision then it will just generate garbage. The collision calculator is very time and CPU intensive so only use it if you are having problems with your file system tree and need to have it mostly working.

-w  Walk all the trees manually and copy any blocks that are referenced. Use this option if your extent tree is corrupted to make sure that all of the metadata is captured.

AVAILABILITY
btrfs-image is part of btrfs-progs. Btrfs is currently under heavy development, and not suitable for any uses other than benchmarking and review. Please refer to the btrfs wiki http://btrfs.wiki.kernel.org for further details.

SEE ALSO
btrfsck(8),mkfs.btrfs(8)